## org.python.core
Class PyFrozenSet

    java.lang.Object
      org.python.core.PyObject
          org.python.core.BaseSet
              org.python.core.PyFrozenSet

All Implemented Interfaces:
  Serializable, Iterable, Collection, Set

Direct Known Subclasses:
  PyFrozenSetDerived

    public class PyFrozenSet

extends BaseSet

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.python.core.PyObject
`PyObject.ConversionException`

Field Summary
`static PyType` `TYPE`

Constructor Summary
`PyFrozenSet()`
`PyFrozenSet(PyObject data)`
`PyFrozenSet(PyType type, PyObject data)`

Method Summary
`boolean` `add(Object o)`
`boolean` `addAll(Collection c)`
`void` `clear()`
`static PyObject` `frozenset___new__(PyNewWrapper new_, boolean init, PyType subtype, PyObject[] args, String[] keywords)`
`int` `hashCode()` The hashCode of the set.
`Iterator` `iterator()`
`boolean` `remove(Object o)`
`boolean` `removeAll(Collection c)`
`boolean` `retainAll(Collection c)`

Methods inherited from class org.python.core.BaseSet
`__and__, __cmp__, __contains__, __eq__, __ge__, __gt__, __iter__, __le__, __len__, __lt__, __ne__, __nonzero__, __or__, __reduce__, __sub__, __xor__, contains, containsAll, difference, isEmpty, size, symmetric_difference, toArray, toArray, toString`

Methods inherited from class org.python.core.PyObject

`__abs__, __add__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __coerce__, __coerce_ex__, __complex__, __delattr__, __delattr__, __delete__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __findattr__, __findattr__, __findattr_ex__, __finditem__, __finditem__, __finditem__, __float__, __floordiv__, __get__, __getattr__, __getattr__, __getitem__, __getitem__, __getnewargs__, __getslice__, __getslice__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iternext__, __itruediv__, __ixor__, __long__, __lshift__, __mod__, __mul__, __neg__, __not__, __oct__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __tojava__, __truediv__, __unicode__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getType, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, isMappingType, isNumberType, isSequenceType, noAttributeError, readonlyAttributeError, setDict, setType`

Methods inherited from class java.lang.Object
`equals, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`equals`

Field Detail

### TYPE

    public static final PyType TYPE

Constructor Detail

### PyFrozenSet

    public PyFrozenSet()

### PyFrozenSet

    public PyFrozenSet(PyObject data)

### PyFrozenSet

    public PyFrozenSet(PyType type,
                       PyObject data)

Method Detail

### frozenset___new__

    public static PyObject frozenset___new__(PyNewWrapper new_,
                                             boolean init,
                                             PyType subtype,
                                             PyObject[] args,
                                             String[] keywords)

### hashCode

    public int hashCode()

  Description copied from class: `BaseSet`
  The hashCode of the set. Only immutable instances can be hashed.

  Specified by:
    `hashCode` in interface `Collection`
  Specified by:
    `hashCode` in interface `Set`
  Specified by:
    `hashCode` in class `BaseSet`
  Returns:
    The hashCode of the set.

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection`
  Specified by:
    `clear` in interface `Set`
  Overrides:
    `clear` in class `BaseSet`

### add

    public boolean add(Object o)

  Specified by:
    `add` in interface `Collection`
  Specified by:
    `add` in interface `Set`
  Overrides:
    `add` in class `BaseSet`

### remove

    public boolean remove(Object o)

  Specified by:
    `remove` in interface `Collection`
  Specified by:
    `remove` in interface `Set`
  Overrides:
    `remove` in class `BaseSet`

### addAll

    public boolean addAll(Collection c)

  Specified by:
    `addAll` in interface `Collection`
  Specified by:
    `addAll` in interface `Set`
  Overrides:
    `addAll` in class `BaseSet`

### removeAll

    public boolean removeAll(Collection c)

  Specified by:
    `removeAll` in interface `Collection`
  Specified by:
    `removeAll` in interface `Set`
  Overrides:
    `removeAll` in class `BaseSet`

### retainAll

    public boolean retainAll(Collection c)

  Specified by:
    `retainAll` in interface `Collection`
  Specified by:
    `retainAll` in interface `Set`
  Overrides:
    `retainAll` in class `BaseSet`

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `Iterable`
  Specified by:
    `iterator` in interface `Collection`
  Specified by:
    `iterator` in interface `Set`
  Overrides:
    `iterator` in class `BaseSet`

Jython homepage